Debian Bug report logs - #591944
[linux-2.6] I can't see all files and directory with mount.cifs

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Guy Roussin <guy.roussin@teledetection.fr>

Date: Fri, 6 Aug 2010 16:33:01 UTC

Severity: important

Tags: fixed-upstream

Found in version 2.6.32-5

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.samba.org/show_bug.cgi?id=7619

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Fri, 06 Aug 2010 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 Aug 2010 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
To: submit@bugs.debian.org
Subject: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Fri, 06 Aug 2010 18:08:28 +0200
Package: linux-2.6
Version: 2.6.32-5
Severity: serious

--- Please enter the report below this line. ---
When i mount.cifs a windows share from a server (samba 3.0),
i can see only 151 files and dir with ls -al | wc -l but thereis
around 600 files and dir on this share. If i reboot my host
with 2.6.26 (kernel from lenny) i can see all files and dir ...

I test with squeeze and sid (i686) and i get the same problem.

Note that i can cd and cat "invisible" files and dir if i
know their names (i can't see them with ls) ! The problem
do not occur with smbclient or nautilus with smb://server/share,
only with mount.cifs

Thank you.

Guy

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.32-5-686

Debian Release: squeeze/sid
  500 unstable        ftp2.fr.debian.org
  500 stable          x2go.obviously-nice.de
  500 stable          dl.google.com
  500 stable          debian.gfoss.it
  500 stable          deb.opera.com
  500 sid             www.lamaresh.net
  400 unstable        www.debian-multimedia.org
  300 testing         ftp2.fr.debian.org
    1 experimental    ftp2.fr.debian.org

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Fri, 06 Aug 2010 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 Aug 2010 17:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 591944@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Guy Roussin <guy.roussin@teledetection.fr>
Cc: 591944@bugs.debian.org
Subject: Re: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Fri, 6 Aug 2010 13:28:59 -0400
On Fri, Aug 06, 2010 at 06:08:28PM +0200, Guy Roussin wrote:
> Package: linux-2.6
> Version: 2.6.32-5
> Severity: serious
> 
> --- Please enter the report below this line. ---
> When i mount.cifs a windows share from a server (samba 3.0),
> i can see only 151 files and dir with ls -al | wc -l but thereis
> around 600 files and dir on this share. If i reboot my host
> with 2.6.26 (kernel from lenny) i can see all files and dir ...
> 
> I test with squeeze and sid (i686) and i get the same problem.
> 
> Note that i can cd and cat "invisible" files and dir if i
> know their names (i can't see them with ls) ! The problem
> do not occur with smbclient or nautilus with smb://server/share,
> only with mount.cifs

Please retest with 2.6.32-19 from unstable, -5 is quite old.

Cheers,
        Moritz




Severity set to 'important' from 'serious' Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 17:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Mon, 09 Aug 2010 08:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 09 Aug 2010 08:27:09 GMT) Full text and rfc822 format available.

Message #17 received at 591944@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
To: 591944@bugs.debian.org
Subject: Re: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Mon, 09 Aug 2010 10:02:14 +0200
>> When i mount.cifs a windows share from a server (samba 3.0),
>> i can see only 151 files and dir with ls -al | wc -l but thereis
>> around 600 files and dir on this share. If i reboot my host
>> with 2.6.26 (kernel from lenny) i can see all files and dir ...
>>
>> I test with squeeze and sid (i686) and i get the same problem.
>>
>> Note that i can cd and cat "invisible" files and dir if i
>> know their names (i can't see them with ls) ! The problem
>> do not occur with smbclient or nautilus with smb://server/share,
>> only with mount.cifs
>
> Please retest with 2.6.32-19 from unstable, -5 is quite old.

I test with 2.6.32-19 today (*) on a debian sid (i686). The problem is still there.
I test also with an old 2.6.32 version (2.6.32-8) : same problem.
With 2.6.26-21 and 2.6.26-24 (from lenny) on this same host (debian sid i686)
there is no problem : i can see all files and directories.

Thank you,

Guy

(*)
$ apt-cache policy linux-image-2.6.32-5-686
linux-image-2.6.32-5-686:
  Installé : 2.6.32-19
  Candidat : 2.6.32-19
 Table de version :
 *** 2.6.32-19 0
        500 http://ftp2.fr.debian.org sid/main Packages
        100 /var/lib/dpkg/status
     2.6.32-18 0
        300 http://ftp2.fr.debian.org squeeze/main Packages




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Fri, 13 Aug 2010 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 07:54:03 GMT) Full text and rfc822 format available.

Message #22 received at 591944@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
To: 591944@bugs.debian.org
Subject: Re: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Fri, 13 Aug 2010 09:50:04 +0200
Le 06/08/2010 19:28, Moritz Muehlenhoff a écrit :
> On Fri, Aug 06, 2010 at 06:08:28PM +0200, Guy Roussin wrote:
>> Package: linux-2.6
>> Version: 2.6.32-5
>> Severity: serious
>>
>> --- Please enter the report below this line. ---
>> When i mount.cifs a windows share from a server (samba 3.0),
>> i can see only 151 files and dir with ls -al | wc -l but thereis
>> around 600 files and dir on this share. If i reboot my host
>> with 2.6.26 (kernel from lenny) i can see all files and dir ...
>>
>> I test with squeeze and sid (i686) and i get the same problem.
>>
>> Note that i can cd and cat "invisible" files and dir if i
>> know their names (i can't see them with ls) ! The problem
>> do not occur with smbclient or nautilus with smb://server/share,
>> only with mount.cifs
>
> Please retest with 2.6.32-19 from unstable, -5 is quite old.
>
> Cheers,
>          Moritz

I made some more tests using snapshot.debian.org:
linux-image-2.6.30-2-686-bigmem: (2.6.30-8squeeze1) is OK
linux-image-2.6.31-1-686-bigmem: (2.6.31-2) is NOT OK

All linux-image-2-6-32 i test are NOT OK.
even kernel 2.6.32 from ubuntu 10.04 is NOT OK
2.6.34 from experimental is NOT OK

It seems to me that kernel after 2.6.30 (2.6.3[1234], ....) are NOT OK

I can make more tests if necessary.
Perhaps we can increase the severity of the bug ?

Thank you

-- 
Guy Roussin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Fri, 13 Aug 2010 11:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Aug 2010 11:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 591944@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Guy Roussin <guy.roussin@teledetection.fr>, 591944@bugs.debian.org
Subject: Re: Bug#591944: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Fri, 13 Aug 2010 12:31:13 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-08-13 at 09:50 +0200, Guy Roussin wrote:
[...]
> I made some more tests using snapshot.debian.org:
> linux-image-2.6.30-2-686-bigmem: (2.6.30-8squeeze1) is OK
> linux-image-2.6.31-1-686-bigmem: (2.6.31-2) is NOT OK
> 
> All linux-image-2-6-32 i test are NOT OK.
> even kernel 2.6.32 from ubuntu 10.04 is NOT OK
> 2.6.34 from experimental is NOT OK
> 
> It seems to me that kernel after 2.6.30 (2.6.3[1234], ....) are NOT OK
> 
> I can make more tests if necessary.
> Perhaps we can increase the severity of the bug ?

Since this bug does not seem to have been fixed in a later version,
please report this upstream at <https://bugzilla.samba.org/> under
product 'CifsVFS', component 'kernel fs'.  Let us know the bug number of
URL so that we can track it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Mon, 16 Aug 2010 08:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 16 Aug 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #32 received at 591944@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
To: 591944@bugs.debian.org
Subject: Re: Bug#591944: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Mon, 16 Aug 2010 10:02:54 +0200
> Since this bug does not seem to have been fixed in a later version,
> please report this upstream at<https://bugzilla.samba.org/>  under
> product 'CifsVFS', component 'kernel fs'.  Let us know the bug number of
> URL so that we can track it.
>
> Ben.
>
Thank you.

https://bugzilla.samba.org/show_bug.cgi?id=7619

-- 
Guy




Set Bug forwarded-to-address to 'https://bugzilla.samba.org/show_bug.cgi?id=7619'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 16 Aug 2010 10:54:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 04 Nov 2010 16:33:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#591944; Package linux-2.6. (Sat, 06 Nov 2010 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guy Roussin <guy.roussin@teledetection.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 06 Nov 2010 11:33:06 GMT) Full text and rfc822 format available.

Message #41 received at 591944@bugs.debian.org (full text, mbox):

From: Guy Roussin <guy.roussin@teledetection.fr>
To: 591944@bugs.debian.org
Subject: Re: Bug#591944: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Sat, 06 Nov 2010 11:56:19 +0100
> https://bugzilla.samba.org/show_bug.cgi?id=7619
The bug is closed on bugzilla (there is a workaround), so i think we can 
close the bug.

Guy





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 07 Nov 2010 13:33:06 GMT) Full text and rfc822 format available.

Notification sent to Guy Roussin <guy.roussin@teledetection.fr>:
Bug acknowledged by developer. (Sun, 07 Nov 2010 13:33:06 GMT) Full text and rfc822 format available.

Message #46 received at 591944-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 591944-done@bugs.debian.org
Subject: Re: Bug#591944: [linux-2.6] I can't see all files and directory with mount.cifs
Date: Sun, 07 Nov 2010 13:28:41 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2010-11-06 at 11:56 +0100, Guy Roussin wrote:
> > https://bugzilla.samba.org/show_bug.cgi?id=7619
> The bug is closed on bugzilla (there is a workaround), so i think we can 
> close the bug.

OK, closing.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Dec 2010 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:20:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.